/******************************************************************************
 * This file was generated by langium-cli 1.1.0.
 * DO NOT EDIT MANUALLY!
 ******************************************************************************/

import { LangiumGeneratedServices, LangiumGeneratedSharedServices, LangiumSharedServices, LangiumServices, LanguageMetaData, Module } from 'langium';
import { StairwayAstReflection } from './ast';
import { StairwayGrammar } from './grammar';

export const StairwayLanguageMetaData: LanguageMetaData = {
    languageId: 'stairway',
    fileExtensions: ['.stairway'],
    caseInsensitive: false
};

export const StairwayGeneratedSharedModule: Module<LangiumSharedServices, LangiumGeneratedSharedServices> = {
    AstReflection: () => new StairwayAstReflection()
};

export const StairwayGeneratedModule: Module<LangiumServices, LangiumGeneratedServices> = {
    Grammar: () => StairwayGrammar(),
    LanguageMetaData: () => StairwayLanguageMetaData,
    parser: {}
};
